/*****************************************************************************/
/*
                                 SeSoLa.h
*/
/*****************************************************************************/

#ifndef SESOLA_H_LOADED
#define SESOLA_H_LOADED 1

#include "wasd.h"

/**********/
/* macros */
/**********/

/* include which variety of SSL CGI variables */
#define SESOLA_CGI_VAR_NONE            1
#define SESOLA_CGI_VAR_APACHE_MOD_SSL  2
#define SESOLA_CGI_VAR_PURVEYOR        3

/***********************/
/* function prototypes */
/***********************/

SeSoLaAccept (struct RequestStruct*);
SeSoLaBegin (struct RequestStruct*);
SeSoLaCgiGenerateVariables (struct RequestStruct*, int);
SeSoLaCgiVariablesApacheModSsl (struct RequestStruct*, int);
SeSoLaCgiVariablesPurveyor (struct RequestStruct*, int);
SeSoLaEnd (struct RequestStruct*);
SeSoLaError (struct RequestStruct*, char*);
SeSoLaInit ();
SeSoLaInitServiceList ();
SeSoLaRead (struct RequestStruct*, void*, char*, int);
SeSoLaReport (struct RequestStruct*, void*);
SesolaReportFormatCertName (char*, char*, int);
char* SesolaVersion ();
SeSoLaWrite (struct RequestStruct*, void*, char*, int);
SeSoLaWatchPeek (struct RequestStruct*, struct RequestStruct*);

#endif /* SESOLA_H_LOADED */

/*****************************************************************************/

